package com.sunxung.factoring.entity.fundmanagement.vo;

import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.fundmanagement.FinancialBasicFileDictionary;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

/**
 * @Description 基础资料清单vo类
 * @Author Yafan Wang
 * @Date 2023/2/9 15:19
 */
public class FinancialBasicFileVo extends BaseEntity {

    /** 资料清单字典表id **/
    private Long financialBasicFileDicInfoId;
    /** 资料名称 **/
    private String profileName;
    /** 说明 **/
    
    private String remark;
    /** 资料附件 **/
    private List<FileStorage> fileStorageList;
    /** 资料附件id **/
    private List<Long> fileStorageIdList;


    public FinancialBasicFileVo(FinancialBasicFileDictionary fileDictionary) {
        this.profileName = fileDictionary.getProfileName();
        this.remark = fileDictionary.getRemark();
        this.financialBasicFileDicInfoId = fileDictionary.getId();
    }

    public FinancialBasicFileVo() {
    }

    public String getProfileName() {
        return profileName;
    }

    public void setProfileName(String profileName) {
        this.profileName = profileName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<FileStorage> getFileStorageList() {
        return fileStorageList;
    }

    public void setFileStorageList(List<FileStorage> fileStorageList) {
        this.fileStorageList = fileStorageList;
    }

    public List<Long> getFileStorageIdList() {
        return fileStorageIdList;
    }

    public void setFileStorageIdList(List<Long> fileStorageIdList) {
        this.fileStorageIdList = fileStorageIdList;
    }

    public Long getFinancialBasicFileDicInfoId() {
        return financialBasicFileDicInfoId;
    }

    public void setFinancialBasicFileDicInfoId(Long financialBasicFileDicInfoId) {
        this.financialBasicFileDicInfoId = financialBasicFileDicInfoId;
    }
}
